# pion::plugins::HelloService Class Reference

`#include <HelloService.hpp>`

Inherits pion::http::plugin_service.

List of all members.

## Public Member Functions

virtual void | operator() (pion::http::request_ptr &http_request_ptr, pion::tcp::connection_ptr &tcp_conn)
| handles requests for HelloService

## Detailed Description

HelloService: web service that responds with "Hello World"

Definition at line 22 of file HelloService.hpp.

The documentation for this class was generated from the following files:

- services/HelloService.hpp
- services/HelloService.cpp